PKGSYNC(8)

NAME
pkgsync - Automated package synchronization tool

SYNOPSIS
pkgsync

DESCRIPTION
pkgsync is a tool for keeping multiple machines reasonably similar and clean. Packages can either be in a `must be installed', `may be installed' or `must not be installed' list (which is presumed to be distributed separately using a tool such as rdist or cfengine). pkgsync will take care of meeting the demands put down in the lists, and then removing everything that is not in the `must' or `may' list and is not necessary for their operations (as determined by aptitude).

OPTIONS

-h, --help
    Print a short help text and exit.

-s, --simulate
    Do everything as usual, but put aptitude in simulation mode, causing it to never do any changes (except update and autoclean, which should both be harmless) to your system. This is especially useful on a new system to make sure pkgsync behaves as expected. Note that aptitude prints out its intended actions _before_ running the conflict resolver. If there's a conflict somewhere, chances are that the results on your system will be different from what aptitude prints out.

-k, --keep-unused
    Instruct aptitude to not remove cruft (ie. unused packages); this is morally equivalent to having an "*" entry in mayhave.

-d, --dpkg-glob
    When encountering a wildcard pattern, pkgsync tries to `un-glob' it. Traditionally, this was done using dpkg -- however, in later versions one can use aptitude instead. Using aptitude is a little slower, but the syntax is a lot more flexible, supporting regular expressions and various searches on fields. Giving --dpkg-glob makes pkgsync use dpkg, which is not very useful except for backwards compatibility.

-a, --aptitude-glob
    Use aptitude's globbing instead of dpkg's globbing (see above). This option is the default.

SEE ALSO
/usr/share/doc/pkgsync/README.Debian (complete tutorial and reference documentation)

AUTHOR
pkgsync is Copyright 2004-2007 Steinar H. Gunderson <sgunderson@bigfoot.com>.